Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces
PUTImage Storage Related InterfacesSince 0.6SynchronousAuth Required
Change Backup Storage State
Change Backup Storage State
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredResource UUID, uniquely identifies the resource
Body Fields
changebackupstoragestateObjectRequiredchangebackupstoragestate request body object.
stateEventStringRequiredTarget state of the backup storage
systemTagsListSystem tags
userTagsListUser tags
Responses
Endpoint
PUT/zstack/v1/backup-storage/{uuid}/actions
/zstack/v1/backup-storage/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/backup-storage/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changebackupstoragestate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "My Backup Storage", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Disabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:45 PM", "lastOpDate": "Jun 7, 2017 9:20:45 PM", "attachedZoneUuids": [ "c1b882e3dfc944348ab63b478a64f257" ] } }Change History
This API has no change history records yet.
